Debian Bug report logs - #552707
lintian: dak will now accept 3.0 (quilt) and 3.0 (native)

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Mark Hymers <mhy@debian.org>

Date: Wed, 28 Oct 2009 21:51:01 UTC

Severity: normal

Found in version lintian/2.2.13

Fixed in version lintian/2.2.18

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#552707; Package lintian. (Wed, 28 Oct 2009 21:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 28 Oct 2009 21:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: dak will now accept 3.0 (quilt) and 3.0 (native)
Date: Wed, 28 Oct 2009 10:13:51 +0000
Package: lintian
Version: 2.2.13
Severity: normal

Hi,

Frank asked me to file this when we were working on the dak support for newer
source formats.

Currently, unsupported-source-format is the following

E: sample7 source: unsupported-source-format 3.0 (quilt)
N: 
N:    This package uses a different source package format than 1.0. At
N:    present, only Format: 1.0 packages are permitted by the Debian archive
N:    software. Newer package formats are supported by dpkg, but they should
N:    not yet be used for upload to Debian.
N:    
N:    Severity: serious, Certainty: certain

dak has now been updated to deal with 3.0 (quilt) and 3.0 (native) so could
this check be modified appropriately?

Thanks,

Mark

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.5-dsa-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina
ii  diffstat            1.45-2               produces graph of changes introduc
ii  dpkg-dev            1.14.25              Debian package development tools
ii  file                4.26-1               Determines file type using "magic"
ii  gettext             0.17-4               GNU Internationalization utilities
ii  intltool-debian     0.35.0+20060710.1    Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl     0.1.22+b1            Perl interface to libapt-pkg
ii  libdigest-sha-perl  5.47-1               Perl extension for SHA-1/224/256/3
ii  libipc-run-perl     0.80-2               Perl module for running processes
ii  libparse-debianchan 1.1.1-2              parse Debian changelogs and output
ii  libtimedate-perl    1.1600-9             Time and date functions for Perl
ii  liburi-perl         1.35.dfsg.1-1        Manipulates and accesses URI strin
ii  man-db              2.5.2-4              on-line manual pager
ii  perl [libdigest-sha 5.10.0-19lenny2      Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
ii  binutils-multiarch  2.18.1~cvs20080103-7 Binary utilities that support mult
pn  libtext-template-pe <none>               (no description available)
ii  man-db              2.5.2-4              on-line manual pager

-- no debconf information




Added tag(s) pending. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 31 Oct 2009 10:39:04 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Fri, 13 Nov 2009 09:33:56 GMT) Full text and rfc822 format available.

Notification sent to Mark Hymers <mhy@debian.org>:
Bug acknowledged by developer. (Fri, 13 Nov 2009 09:33:57 GMT) Full text and rfc822 format available.

Message #12 received at 552707-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 552707-close@bugs.debian.org
Subject: Bug#552707: fixed in lintian 2.2.18
Date: Fri, 13 Nov 2009 09:31:13 +0000
Source: lintian
Source-Version: 2.2.18

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.2.18.dsc
  to main/l/lintian/lintian_2.2.18.dsc
lintian_2.2.18.tar.gz
  to main/l/lintian/lintian_2.2.18.tar.gz
lintian_2.2.18_all.deb
  to main/l/lintian/lintian_2.2.18_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 Nov 2009 23:36:33 -0800
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.2.18
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 510954 548210 548218 549596 550924 551051 551134 552013 552526 552707 552729 553207 553262 553264 553469 553487 553697 554393 555278 555320 555617
Changes: 
 lintian (2.2.18) unstable; urgency=low
 .
   The "synchronize severities with ftpmaster's Lintian checks" release.
 .
   * Summary of tag changes:
     + Removed:
       - copyright-lists-upstream-authors-with-dh_make-boilerplate
     + Promoted from experimental:
       - spelling-error-in-binary
       - template-uses-unsplit-choices
 .
   * checks/binaries.desc:
     + [RA] Remove experimental marker on spelling-error-in-binary.  Change
       severity to minor; spelling errors are minor bugs.
     + [RA] library-in-debug-or-profile-should-not-be-stripped,
       binary-or-shlib-defines-rpath, arch-dependent-file-in-usr-share, and
       binary-in-etc, binary-file-compressed-with-upx,
       binary-with-bad-dynamic-table, and embedded-zlib are now
       serious since they can result in ftpmaster rejects.  embedded-zlib,
       missing-dependency-on-libc, and binary-or-shlib-defines-rpath are
       possible rather than certain since overrides are allowed.
   * checks/changelog-file:
     + [FL] Avoid various Perl warnings which can be caused by
       completly broken changelog files.
   * checks/conffiles.desc:
     + [RA] file-in-usr-marked-as-conffile is serious (ftpmaster reject).
       Add a Policy reference and improve the description.
     + [RA] non-etc-file-marked-as-conffile is serious/possible rather than
       important/certain (ftpmaster reject unless overridden).
   * checks/control-file{,.desc}:
     + [RA] Say to use (= ${binary:Version}) to fix weak dependencies
       between a library dev package and the shared library.  Thanks,
       Norbert Preining.  (Closes: #548218)
     + [ADB] Fix an uninitialised value warning when processing a
       -dev package which has no Depends: fields.  Thanks, Lucas
       Nussbaum.
     + [RA] build-info-in-binary-control-file-section and
       debian-control-with-duplicate-fields are now serious (ftpmaster
       reject).
     + [RA] Allow -dev dependencies based on source:Upstream-Version or
       source:Version if the -dev package is architecture: all.  Thanks,
       Mike Hommey.  (Closes: #552729)
   * checks/control-files.desc:
     + [RA] not-allowed-control-file, control-file-has-bad-permissions, and
       control-file-has-bad-owner are now serious (ftpmaster reject).
       Mention that the config control file should also be executable.
   * checks/copyright-file{,.desc}:
     + [FL] Add special exception to no-copyright-file for perl.
       See #522827 for discussion.  (Closes: #553262)
     + [FL] Extend match for exceptions to copyright-refers-to-symlink-license
       to catch more ways to specify Perl's license.  Patch from
       Salvatore Bonaccorso.  (Closes: #549596)
     + [RA] copyright-lists-upstream-authors-with-dh_make-boilerplate
       removed, as some package maintainers prefer to use Author(s) and
       have filled out the copyright file.  (Closes: #553469)
     + [RA] Add additional dh_make template strings to the
       helper-templates-in-copyright check, including the templates for
       upstream author or copyright holder, which effectively replaces
       copyright-lists-upstream-authors-with-dh_make-boilerplate with far
       fewer false positives.
     + [RA] Remove a duplication of the check for "This copyright info was
       automatically extracted from the perl module" by dh-make-perl, and
       ensure that this is copyright-contains-dh-make-perl-boilerplate and
       not helper-templates-in-copyright, since it is lower severity.
     + [RA] copyright-refers-to-old-directory, old-style-copyright-file,
       usr-share-doc-symlink-without-dependency,
       usr-share-doc-symlink-to-foreign-package,
       copyright-refers-to-incorrect-directory, and
       copyright-contains-dh_make-todo-boilerplate are now serious
       (ftpmaster reject).  copyright-contains-dh_make-todo-boilerplate is
       possible (overrides allowed).  Significantly improve the description
       of usr-share-doc-symlink-without-dependency to mention that Lintian
       doesn't look at transitive dependencies, and change to possible.
   * checks/cruft:
     + [FL] Add automake1.11 to list of autotools packages.  Thanks,
       Laurent Bigonville.  (Closes: #551051)
     + [RA] Allow CMakeCache.txt files in the debian directory.  Thanks,
       Aaron M. Ucko.  (Closes: #553264)
   * checks/debconf.desc:
     + [FL] Remove experimental flag from template-uses-unsplit-choices.
       This was only done to not disrupt the lenny freeze.  Thanks,
       Raphael Geissert.  (Closes: #553487)
   * checks/description.desc:
     + [RA] Downgrade description-synopsis-might-not-be-phrased-properly to
       minor and fix the cross-reference to point to devref, not Policy.
     + [RA] description-is-dh_make-template is serious (ftpmaster reject).
   * checks/etcfiles.desc:
     + [RA] file-in-etc-not-marked-as-conffile is serious (ftpmaster
       reject).
   * checks/fields{,.desc}:
     + [RA] Fix lib-recommends-documentation tag to correctly exclude dev
       and doc packages.  Patch from Stéphane Glondu.  (Closes: #548210)
     + [FL] Allow source formats 3.0 (quilt) and 3.0 (native).
       (Closes: #552707)
     + [RA] Multiple maintainer-* and uploader-* tags for syntax errors or
       localhost addresses are now serious (ftpmaster reject), as are
       section-is-dh_make-template and bad-relation.
   * checks/files.desc:
     + [RA] Add a note to wrong-file-owner-uid-or-gid that it's possible to
       construct a Policy-compliant package that triggers this tag by
       creating users in preinst, and asking package maintainers to file a
       bug against Lintian if they encounter a case where this appears to
       be necessary.
     + [RA] package-contains-ancient-file, package-installs-python-pyc
       symlink-has-too-many-up-segments, and package-contains-info-dir-file
       are now serious (ftpmaster reject).
     + [RA] dir-or-file-in-var-www is now serious/possible (ftpmaster
       reject unless overridden).
     + [RA] dir-or-file-in-{tmp,mnt,opt,srv} are now serious and have the
       proper File Hierarchy Standard cross-references and descriptions.
     + [RA] Don't suggest creating a symlink to the python-feedparser
       library.  Just use the normal Python import mechanism.  Thanks,
       Jakub Wilk.  (Closes: #555617)
   * checks/lintian.desc:
     + [CW] Add lucid as an allowable distribution for Ubuntu, and remove
       gutsy.
   * checks/manpages.desc:
     + [ADB] Mention in the description for manpage-has-errors-from-man
       that Lintian passes "-E UTF-8" to man when running checks.  Thanks,
       Raphaël Hertzog. (Closes: #555320)
     + [RA] Also suppress failures to break lines if the reported line is
       a .UE macro, which marks the end of a block defining a URL.  Thanks,
       Martin Stigge.
   * checks/patch-systems:
     + [RA] Do not issue patch-system-but-no-source-readme for packages in
       3.0 (quilt) format.  Patch from Stéphane Glondu.  (Closes: #553207)
     + [RA] Don't consider the "index <sha1>..<sha1>" line added by git
       diff to be a patch description.  (Closes: #553697)
     + [RA] If a diff outside of the patch system only creates new files
       that can be copied into place by the package build rules, suggest
       just putting them in the debian directory rather than using a patch
       system.  Thanks, Charles Plessy.  (Closes: #550924)
   * checks/rules.desc:
     + [RA] missing-build-dependency is now serious/possible (ftpmaster
       reject unless overridden).
   * checks/scripts{,.desc}:
     + [RA] Add some more details to executable-not-elf-or-script about
       possible causes and how to correct them.
     + [RA] Suggest mkfifo in mknod-in-maintainer-script if the script was
       creating a named pipe.
     + [RA] Add rep.  Thanks, Rodrigo Gallardo.  (Closes: #510954)
     + [RA] Add r.  Thanks, Dirk Eddelbuettel.  (Closes: #555278)
     + [RA] Add rackup.  Thanks, Sebastien Delafond.  (Closes: #552013)
   * checks/shared-libs:
     + [FL] Add /usr/lib/python*/dist-packages to exception list for
       incorrect-libdir-in-la-file.  Thanks, Mathieu Trudel.
       (Closes: #551134)
 .
   * data/changelog-file/ubuntu-dists:
     + [CW] Add lucid as an allowable distribution for Ubuntu, and remove
       gutsy.
   * data/doc-base/sections:
     + [FL] Update from doc-base 0.9.5. Adds Typesetting section.
       Thanks Julian Gilbey.  (Closes: #552526)
   * data/fields/architectures:
     + [ADB] Refresh against unstable.
   * data/fields/perl-provides:
     + [ADB] Refresh against unstable.
   * data/fields/virtual-packages:
     + [ADB] Refresh against unstable.
   * data/files/fonts:
     + [ADB] Refresh against unstable.
 .
   * man/lintian.1:
     + [RA] Add additional explanation of experimental tags.  Remove the
       comment that pedantic tags are frequently wrong; that's not what
       they're for.  Improve the explanation for -i to not imply that
       everything Lintian finds is a Policy violation.
 .
   * private/refresh-perl-provides:
     + [ADB] Special-case libio-compress-perl; the package contains the
       modules which used to be in libio-compress-* but does not contain
       IO::Compress.  Patch from Niko Tyni.  (Closes: #554393)
Checksums-Sha1: 
 32f691386cc524878b737c4d033639cc110a1527 1168 lintian_2.2.18.dsc
 2e63ede0ad7c1c0e6ec4611f06da5b819f8c1025 749641 lintian_2.2.18.tar.gz
 ee1e0b8e8a4a2ac95cffad1483e24e15a8988073 482228 lintian_2.2.18_all.deb
Checksums-Sha256: 
 5be2778210fad8d3a9867f8e525f284d828db737e69fc621819d2fe2926bcc44 1168 lintian_2.2.18.dsc
 32b4f035a0f3dc5732db3ee80dcde52dd746539049ec801fa1822891c3a175d8 749641 lintian_2.2.18.tar.gz
 fdaa54119170ec5cb735fdb0f8e2aac5bee2488ba2e03ce8512368d0d700ad9a 482228 lintian_2.2.18_all.deb
Files: 
 17b3ed79a27f96c289fe58fdb99ad589 1168 devel optional lintian_2.2.18.dsc
 3f8c094ff8ab4ad3ba42a11165b7a43e 749641 devel optional lintian_2.2.18.tar.gz
 647cfd2e85df937d4b4e9373a9bdecb3 482228 devel optional lintian_2.2.18_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkr9DO4ACgkQ+YXjQAr8dHZkmACdF/o46i6RMUCn9HaF55QRJP6M
DEkAoMlsnkeicBZr45760jQ6Cg9YMhlp
=aRrS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Dec 2009 07:27:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:45:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.